<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>

<body>
    <!-- creates a container used to group elements -->
    <header id="header">

        <h1>HTML Tables and Forms</h1>

    </header>

    <main>
        <section>
            <h2>HTML Entities</h2>

            <p>
                <em>Reserved Characters in HTML (e.g &lt; or &gt; characters that can mix up with HTML code).</em>
            </p>
            <!-- Define HTML table -->
            <table border="1">
                <!-- table headings -->
                <thead>
                    <!-- define table row -->
                    <tr>
                        <!-- define table element -->
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <!-- table body content-->
                <tbody>
                    <tr>
                        <!-- table data elemet/content -->
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>Less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>Greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>Peso Sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>Ampesand</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>Double Quotation MArk</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>Single Quotation Mark (Apostrophe)</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>Lower Tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>Upper Tilde</td>
                    </tr>
                </tbody>
                <!-- table footer - used to group footer content -->
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>

        <section>
            <p>HTML Forms</p>

            <p><em>Input Elements that make up a form.</em></p>

            <form action="">
                <!-- create a label -->
                <label for="fullName">Full Name:</label><br>
                <!-- create an input field -->
                <input type="text" name="fullName" id="fullName" required autocomplete><br>

                <!-- create a label -->
                <label for="birthDate">Birth Date:</label><br>
                <!-- create date picker -->
                <input type="date" name="birthDate" id="birthDate" required><br>

                <!-- create a label -->
                <label for="age">Age:</label><br>
                <!-- create an input field that accepts number-->
                <input type="number" name="age" id="age" required min="1"><br>

                <!-- create a label -->
                <label for="gender">Gender:</label><br>
                <!-- Creates a dropdown menu -->
                <select name="gender" id="gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
        </select><br>

                <!-- create a label -->
                <label for="notes">Notes:</label><br>
                <!-- Creates a large input area -->
                <textarea name="notes" id="notes" cols="30" rows="5"></textarea><br>

                <!-- create a label -->
                <label>New User:</label><br>
                <!-- create a radio button -->
                <input type="radio" name="new" id="user-type1" value="yes">
                <label for="user-type1">Yes</label><br>
                <!-- create a radio button -->
                <input type="radio" name="new" id="user-type2" value="no">
                <label for="user-type2">No</label><br>

                <!-- create a checkbox -->
                <label>Role:</label>

                <input type="checkbox" name="role1" id="role1" value="developer">
                <label for="">Developer</label>
                <input type="checkbox" name="role2" id="role2" value="student">
                <label for="">Student</label>
                <input type="checkbox" name="role3" id="role3" value="manager">
                <label for="">Manager</label>

                <!-- Create a submit button -->
                <br><button type="submit">SUBMIT</button>
                <!-- Create a submit button -->
                <button type="reset">RESET</button>
            </form>
        </section>

    </main>

</body>

</html>